Index: src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp	(revision 0275ad195a931bec57fdd26321f927b08c267597)
+++ src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp	(revision 0275ad195a931bec57fdd26321f927b08c267597)
@@ -0,0 +1,59 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * RandomNumberDistribution_ParametersTextQuery.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include <iostream>
+
+#include "TextUI/Query/TextQuery.hpp"
+
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "World.hpp"
+
+#include "RandomNumbers/RandomNumberDistribution_Parameters.hpp"
+
+TextDialog::RandomNumberDistribution_ParametersTextQuery::RandomNumberDistribution_ParametersTextQuery(string title, std::string _description) :
+    Dialog::RandomNumberDistribution_ParametersQuery(title,_description)
+{}
+
+TextDialog::RandomNumberDistribution_ParametersTextQuery::~RandomNumberDistribution_ParametersTextQuery() {}
+
+bool TextDialog::RandomNumberDistribution_ParametersTextQuery::handle() {
+  bool badInput = false;
+  do{
+    badInput = false;
+    std::cout << getDescription() << ": " << std::endl;
+    std::cout << "Please enter parameters as follows: 'p=0.5;'";
+    std::cout << "Empty line terminates." << std::endl;
+    std::cin >> tmp;
+    if(std::cin.fail()){
+      badInput = true;
+      std::cin.clear();
+      std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+      std::cout << "Input was not a number!" << std::endl;
+      continue;
+    }
+
+  } while(badInput);
+  std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+  return true;
+}
+
+
Index: src/UIElements/TextUI/Query/TextQuery.hpp
===================================================================
--- src/UIElements/TextUI/Query/TextQuery.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/UIElements/TextUI/Query/TextQuery.hpp	(revision 0275ad195a931bec57fdd26321f927b08c267597)
@@ -143,3 +143,10 @@
 };
 
+class TextDialog::RandomNumberDistribution_ParametersTextQuery : public Dialog::RandomNumberDistribution_ParametersQuery {
+public:
+  RandomNumberDistribution_ParametersTextQuery(std::string title, std::string _description = NULL);
+  virtual ~RandomNumberDistribution_ParametersTextQuery();
+  virtual bool handle();
+};
+
 #endif /* TEXTQUERY_HPP_ */
Index: src/UIElements/TextUI/TextDialog.cpp
===================================================================
--- src/UIElements/TextUI/TextDialog.cpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/UIElements/TextUI/TextDialog.cpp	(revision 0275ad195a931bec57fdd26321f927b08c267597)
@@ -106,4 +106,8 @@
 }
 
+void TextDialog::queryRandomNumberDistribution_Parameters(const char* title, std::string description){
+  registerQuery(new RandomNumberDistribution_ParametersTextQuery(title,description));
+}
+
 /************************** Query Infrastructure ************************/
 /*       ---> shifted to folder Query                                   */
Index: src/UIElements/TextUI/TextDialog.hpp
===================================================================
--- src/UIElements/TextUI/TextDialog.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
+++ src/UIElements/TextUI/TextDialog.hpp	(revision 0275ad195a931bec57fdd26321f927b08c267597)
@@ -48,4 +48,5 @@
   virtual void queryElements(const char*, std::string = "");
   virtual void queryFile(const char*, std::string = "");
+  virtual void queryRandomNumberDistribution_Parameters(const char*, std::string = "");
 
 protected:
@@ -71,4 +72,5 @@
   class VectorTextQuery;
   class VectorsTextQuery;
+  class RandomNumberDistribution_ParametersTextQuery;
 };
 
